from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
index.delete(ids=["vec1", "vec2"], namespace="example-namespace")
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/vectors/delete" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-01.alpha" \
-d '{
"ids": ["vec1", "vec2"],
"namespace": "example-namespace"
}'
Vectors
Delete records
Delete records by id or by metadata from a single namespace.
For guidance and examples, see Delete data.
POST
/
vectors
/
delete
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
index.delete(ids=["vec1", "vec2"], namespace="example-namespace")
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/vectors/delete" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-01.alpha" \
-d '{
"ids": ["vec1", "vec2"],
"namespace": "example-namespace"
}'
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")
index.delete(ids=["vec1", "vec2"], namespace="example-namespace")
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/vectors/delete" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2026-01.alpha" \
-d '{
"ids": ["vec1", "vec2"],
"namespace": "example-namespace"
}'
Authorizations
Headers
Required date-based version header
Body
application/json
The request for the delete operation.
Vectors to delete.
Example:
["id-0", "id-1"]
This indicates that all vectors in the index namespace should be deleted.
Example:
false
The namespace to delete records from, if applicable.
Example:
"example-namespace"
If specified, the metadata filter here will be used to select the vectors to delete. This is mutually exclusive with specifying ids to delete in the ids param or using delete_all=True. See Delete data.
Response
A successful response.
The response for the delete operation.
Was this page helpful?
⌘I